Subject: Re: [PATCH v2] [WIP] gnu: python-notmuch2: Fix build.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 16 Mar 2022 15:02:30 +0100

Hi,

Am Mittwoch, dem 16.03.2022 um 14:46 +0100 schrieb Tanguy LE CARROUR:
> Hi Liliana,
> [...]
> 
> > i.e. (dirname (search-input-file inputs "notmuch.h")) and
> > (dirname (search-input-file inputs "libnotmuch.so")).
> 
> Unfortunately, I couldn't make those work. :-(
> 
> So I ended up with a less "sexy" version:
> 
> ```
> "NOTMUCH_INCLUDE_DIR='" (assoc-ref inputs "notmuch")
> "/include/notmuch.h" "'\n"
> "NOTMUCH_LIB_DIR='" (assoc-ref inputs "notmuch") "/lib/libnotmuch.so"
> "'"
> ```
That is actually a mistake on my part, search-input-file should search
inputs for "include/notmuch.h" and likewise "lib/libnotmuch.so".  The
dirname is important here, since both constants want directories. 
Alternatively, forgoing those constants might be a good idea, but is
not worth investing too much time in.

> > As for the version file, that should probably be set to an error
> > value such as None or NotImplemented or even unset.  It does not
> > appear to be currently used and we don't install any such file
> > for notmuch.
> 
> If I set `NOTMUCH_VERSION_FILE=''`, I get a "file does not exist"
> error at build time. So I decided to set it to `/dev/null` instead.
> Or would it be better if I patched `notmuch` to create the actual
> version file?!
I think you ought to debug the build and short-circuit the logic by
inferring the version number directly where it is needed.  Without
actual build output that's as much as I can propose.

Cheers